Bug 1970068 - ovnkube-master logs "Failed to find node ips for gateway" error
Summary: ovnkube-master logs "Failed to find node ips for gateway" error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Tim Rozet
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-09 17:58 UTC by Tim Rozet
Modified: 2021-07-27 23:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:12:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 568 0 None open Bug 1970068: Fixes getNodeIPs assuming dualstack 2021-06-09 18:01:29 UTC
Github ovn-org ovn-kubernetes pull 2250 0 None closed Fixes getNodeIPs assuming dualstack 2021-06-09 17:58:51 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:12:42 UTC

Description Tim Rozet 2021-06-09 17:58:15 UTC
Description of problem:
This log appears over 14k times during a scale run. The root cause is because this function was assuming the cluster is dualstack, rather than checking which ip families are enabled.

Comment 1 Aniket Bhat 2021-06-11 15:22:26 UTC
The fix for this is merged in via PR568. Moving the bz to MODIFIED.

Comment 6 errata-xmlrpc 2021-07-27 23:12:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.